# Core lyric_naver
# This file fetches html document from naver and parse it.
#
# ChangeLog:
# 07 Feb 2007: Fixed bug when fetched html does not have 
#     canonical title and artist. (by Yeom Jaehyun)
# 07 Feb 2007: Deleted getLyricHTML def.
#
require 'net/http'
require 'uri'

module MyWeb
  # Fetch html document from url
  def MyWeb.fetchFromHttp(url)
    protocol, host, path = url.strip.scan(/([^\:]*:\/\/)([^\/]*)(.*)/)[0]
    h = Net::HTTP.new( host.untaint, 80, nil, nil)
    response = h.untaint.get(path)
    response.code == "200" ? response.body : nil
  end
end
